GDBserver

Classes | Typedefs | Functions | Variables
notif.h File Reference
`#include "target.h"`
`#include "queue.h"`

Go to the source code of this file.

## Classes
struct | notif_event
struct | notif_server

## Typedefs
typedef struct notif_event * | notif_event_p
typedef struct notif_server * | notif_server_p

## Functions
| DECLARE_QUEUE_P (notif_event_p)
int | handle_notif_ack (char *own_buf, int packet_len)
void | notif_write_event (struct notif_server *notif, char *own_buf)
void | notif_push (struct notif_server *np, struct notif_event *event)
void | notif_event_enque (struct notif_server *notif, struct notif_event *event)
void | initialize_notif (void)

## Variables
struct notif_server | notif_stop

## Typedef Documentation

## ◆ notif_event_p

typedef struct notif_event * notif_event_p

## ◆ notif_server_p

typedef struct notif_server * notif_server_p

## Function Documentation

## ◆ DECLARE_QUEUE_P()

DECLARE_QUEUE_P | ( | notif_event_p |  | ) |

## ◆ handle_notif_ack()

int handle_notif_ack | ( | char * | own_buf,
|  | int | packet_len
| ) |  |

Definition at line 80 of file notif.c.

References notif_server::ack_name, debug_printf(), notif_write_event(), notifs, own_buf, QUEUE_deque, QUEUE_is_empty, QUEUE_length, remote_debug, startswith(), and xfree().

Referenced by handle_v_requests().

## ◆ initialize_notif()

void initialize_notif | ( | void |  | ) |

Definition at line 164 of file notif.c.

References notif_event_xfree(), notifs, and QUEUE_alloc.

Referenced by captured_main().

## ◆ notif_event_enque()

void notif_event_enque | ( | struct notif_server * | notif,
|  | struct notif_event * | event
| ) |  |

Definition at line 121 of file notif.c.

References debug_printf(), notif_server::notif_name, QUEUE_enque, QUEUE_length, and remote_debug.

Referenced by notif_push(), queue_stop_reply(), and queue_stop_reply_callback().

## ◆ notif_push()

void notif_push | ( | struct notif_server * | np,
|  | struct notif_event * | event
| ) |  |

Definition at line 135 of file notif.c.

References notif_event_enque(), notif_server::notif_name, PBUFSIZ, putpkt_notif(), QUEUE_is_empty, notif_server::write, and xsnprintf().

Referenced by push_stop_notification().

## ◆ notif_write_event()

void notif_write_event | ( | struct notif_server * | notif,
|  | char * | own_buf
| ) |  |

Definition at line 62 of file notif.c.

References own_buf, QUEUE_is_empty, QUEUE_peek, notif_server::write, and write_ok().

Referenced by handle_notif_ack(), and handle_status().

## Variable Documentation

## ◆ notif_stop

struct notif_server notif_stop

Definition at line 244 of file server.c.

Referenced by discard_queued_stop_replies(), handle_status(), in_queued_stop_replies(), push_stop_notification(), queue_stop_reply(), and queue_stop_reply_callback().